<?php
/*
** Handset Detection - devices.detect3.php script 
**
** Example shows how to perform a detection and then work with the returned data
** Display screen resolution, ClickToCall and SendSMS strings for this handset.
*/

// ini_set('display_errors', 1); error_reporting(E_ALL);

require_once('hdbase.php');
$hd = new HandsetDetection();	
$hd->detectInit();

// Now lets detect that.
$ret = $hd->detect();

// You can use convenience functions for device resolution (screen size) click to call string, or sending sms string.
// Note - To use the convenience functions pass no parameters to the $hd->detect() function call.
echo "Device Resolution <font color='green'>";
print_r($hd->getDeviceResolution());
echo "</font><br/>";
echo "Click to call string <font color='green'>";
print_r($hd->getDeviceClickToCall());
echo "</font><br/>";
echo "Send SMS String <font color='green'>";
print_r($hd->getDeviceSendSMS());
echo "</font><br/>";
?>
