<?php
/*
** Handset Detection - devices.redirectonceonly.php script 
**
** Scenario: Sometimes you only want to redirect people to your mobile site
** when they first arrive . After that you want to allow them to move freely 
** between your web and mobile sites without pushing them back to the mobile 
** site all the time. Well .. This is your example script. 
*/

//ini_set('display_errors', 1); error_reporting(E_ALL);

require_once('hdbase.php');
$hd = new HandsetDetection();	

// Read in your server variables for detection.
$hd->detectInit();

// Is this browser browsing locally ?
$local = $hd->isLocal();
if ($local == TRUE)
	echo "LOCAL Session";
	
$ret = FALSE;
if (! $local) {
	$ret = $hd->detect();
}
if ($ret) {
	$hd->redirectToMobileSite();
} 

?>
