<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

class sys_generic_pdo_dao
{
   protected $_conn;

   // ---------------------------------------------------- constructor
   public function __construct(){
      $connObject = sys_connect_db::getInstance();
      $this->_conn = $connObject->getConnection();
   }

   public function dbQueryFirst($query){
      $lineNbr = __LINE__ + 1;
      $result = mysql_query($query,$this->_conn);
      if (trim(mysql_error()) != '') {
         $dbError = new sys_db_error_log_bean();
         $fileName = __FILE__;
         $errorString = mysql_error();
         $dbError->init($query, $fileName, $lineNbr, $errorString);
         $dbError->report();
         exit;
      }
      if ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
         return $row;
      }
      return null;
   }
   
   public function dbQueryAll($query){
      $lineNbr = __LINE__ + 1;
      $result = mysql_query($query,$this->_conn);
      if (trim(mysql_error()) != '') {
         $dbError = new sys_db_error_log_bean();
         $fileName = __FILE__;
         $errorString = mysql_error();
         $dbError->init($query, $fileName, $lineNbr, $errorString);
         $dbError->report();
         exit;
      }
      $rows = array();
      while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $rows [] = $row;
      }
      return $rows;
   }

      
   public function dbQueryArray($query){
      $lineNbr = __LINE__ + 1;
      $result = mysql_query($query,$this->_conn);
      if (trim(mysql_error()) != '') {
         $dbError = new sys_db_error_log_bean();
         $fileName = __FILE__;
         $errorString = mysql_error();
         $dbError->init($query, $fileName, $lineNbr, $errorString);
         $dbError->report();
         exit;
      }
      $values = array();
      while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
         foreach ($row as $field => $value)
          $values [] = $value;
      }
      return $values;
   }
   
   
}