<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

class sys_edit_field_bean extends sys_base_bean {

	private $_edits;

	public function __construct() {
		parent::__construct();
		$this->_edits = array();
	}

	public function addEdit($s) {
		$this->_edits [] = $s;
	}

	public function getEdits() {
		return $this->_edits;
	}

}