<?php

class core_user_bean extends sys_user_bean
{


    // ---------------------------------------------------- constructor
    public function __construct(){
        parent::__construct();
        $this->setUserType('');
        $this->setAccountId(0);
        $this->setForcePwdChg('N');
        $this->setFirstName('');
        $this->setLastName('');
        $this->setUserName('');
        $this->setEmailAddress('');
        $this->setAddress('');
        $this->setCity('');
        $this->setState('');
        $this->setZip('');
        $this->setBestPhone('');
        $this->setAlternatePhone('');
        $this->setBirthDate('');
        $this->setComments('');

        //----fields not in the database  (used for login purposes)
        $this->setLoggedIn('N');
        $this->setStatus('A');
        $this->setAdmin('N');
        $this->setLoggedIn('N');
    }

    public function getExpired(){
        if (strtotime($this->getExpireDateTime()) < strtotime(date('c'))) {
            return true;
        } else {
            return false;
        }
    }
    public function getFullName(){
        $firstName = $this->getFirstName('websafe');
        $lastName = $this->getLastName('websafe');
        return "$firstName $lastName";
    }
    public function getStateName(){
        if ($this->getState() == '') {
            return '';
        }
        return get_state_name($this->getState());
    }
    public function hasValidEmail() {
        return preg_match('/^[^@]+@[a-zA-Z0-9._-]+\.[a-zA-Z]+$/', $this->getEmailAddress()) ? 'Y' : 'N';
    }
}