<?php
/*
** Handset Detection - devices.detect2.php script 
** A slightly more advanced detection example
*/

//ini_set('display_errors', 1); error_reporting(E_ALL);

require_once('hdbase.php');
$hd = new HandsetDetection();	
$hd->detectInit();

// Turn on caching of query results in sessions (on by default but only if a session has started)
$hd->setCacheInSession(TRUE);
session_start();

// If you only want the more common device information such as display, geoip & product info
// then only ask for it.  If you want the whole shebang then call detect without any params
// eg $hd->detect();
$ret = $hd->detect("display, geoip, product_info");

if ($ret) {
	$data = $hd->getDetect();
	print_r($data);
}

// Clear the saved data from the session.
$hd->clearCache();

?>
