<?php
/*
** Handset Detection - devices.download.php script 
** Example how to download the Handset Detection device database
** then you can perform detections locally.
**
** Note : Free accounts track the live database at the beginning of the previous month.
** So if its September then you'll download the device databse as at August 1st.
** More information available at http://www.handsetdetectiob.com
*/

ini_set('display_errors', 1); error_reporting(E_ALL);

ini_set( 'memory_limit', "512M" );
set_time_limit(1200);

require_once('hdbase.php');

$hd = new HandsetDetection();
$hd->setup();
$ret = $hd->download();  

if ($ret) {
	// Attempts to import the datafile downloaded above into local database.
	$hd->import();
} else {
	print $hd->getError();
} 

?>
