<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

class sys_email_dao extends sys_base_pdo_dao
{

   // ---------------------------------------------------- constructor
   public function __construct(){
      parent::__construct('email', 'sys_email_bean');
   }

   public function loadUnprocessed() {
      return $this->loadBeans("sent = 'N' order by id");
   }

   public function insertEmail(sys_email_bean $s, sys_user_bean $u){
      return $this->insertBean($s, $u);
   }
   
   public function updateEmail(sys_email_bean $s, sys_user_bean $u){
      return $this->updateBean($s, $u);
   }
   
}