<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

class sys_user_bean extends sys_base_bean {


// ---------------------------------------------------- constructor
public function __construct(){
        $this->initDefaults();
}

public function initDefaults() {
        $this->setAdmin('N');
        $this->setAccountAdmin('N');
        $this->setGroupAdmin('N');
        $this->setUserStatus('A');  //active
        $this->setForcePwdChg('N');
        $this->setLoggedIn(false);
        $this->setCreateBy(0);
        $this->setUpdateBy(0);
}


public function checkPassword(){
   if ($this->getPassword() ==
         crypt($this->getClearPassword(),$this->getPassword())) {
     return true;
     } else {
     return false;
     }
   }

public function encryptPassword(){
   $this->setEncryptedPassword(crypt($this->getClearPassword()));
   }

}