<?php
/**
 * This file contains the bootstrap code.  It loads required classes, and initializes the registry
 * and configuration classes.
 */
 require_once(SYSTEM_PATH."/classes/sys_classes.php");
 define('APP_VERSION', '1.0');
 $server = $_SERVER['HTTP_HOST'];
 $server = "http://$server";
 define('SERVER', $server);
 date_default_timezone_set('America/Los_Angeles');
 
 $config   = sys_config::getInstance();
 $registry = sys_registry::getInstance();
 $registry->setEntry('sys', 'server', $server);
 
 $request = sys_request::getInstance();
 if ($request->getCommand() == 'error') {
    $feedback = new sys_feedback_bean();
    $feedback->setMessage('System Error', $request->getMessage());
    $registry->setEntry('core', 'feedback', $feedback);
 }
// $codes    = sys_codes::getInstance();
 if ($config->getEntry('showErrors') == 'Y') {
    ini_set('display_errors', 'on');
 } else {
    ini_set('display_errors', 'off');
 }
 
// $ud = new core_user_dao();
 $login = new core_user_bean();
 
 $login    = $registry->initEntry('core','login',  $login);
 $feedback = $registry->initEntry('core','feedback',new sys_feedback_bean());
