<?php
class core_password_link_dao extends core_base_dao
{
   private $_user_dao;
    
   // ---------------------------------------------------- constructor
   public function __construct(){
      parent::__construct('passwordlinks','core_password_link_bean');
      $this->_user_dao = new core_user_dao();
   }
    
   public function loadLink($userId,$key){
      return $this->loadBean("userId = $userId and linkKey = '$key'");
   }
   
   public function insertLink(core_password_link_bean $s,core_user_bean $u){
      return $this->insertBean($s, $u);
   }

   public function updateLink(core_password_link_bean $s, core_user_bean $u){
      return $this->updateBean($s, $u);
   }

   public function deleteExpiredLinks(){
      $now = fmtCurrentDateTime();
      return $this->loadBean("expireDateTime < '$now'");
   }

   public function deleteLink($id){
      return $this->deleteBean($id);
   }

}